diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/rendering/HtmlHeader1RenderingContext.java
--- a/nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/rendering/HtmlHeader1RenderingContext.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/rendering/HtmlHeader1RenderingContext.java	Fri Mar 26 09:05:32 2010 +0100
@@ -14,26 +14,28 @@
 
     @Override
     public <T> T getAdapter(Class<T> adapter) {
-	if (adapter.isAssignableFrom(getClass())) {
-	    return adapter.cast(this);
-	} else if (adapter.isAssignableFrom(DocumentModel.class)) {
-	    return adapter.cast(getDocuments());
-	}
-	return null;
+        if (adapter.isAssignableFrom(getClass())) {
+            return adapter.cast(this);
+        } else if (adapter.isAssignableFrom(DocumentModel.class)) {
+            return adapter.cast(getDocuments());
+        }
+        return null;
     }
 
     public void setDocuments(List<DocumentModel> doc) {
-	put(CTX_PARAM_DOCUMENTS, doc);
+        put(CTX_PARAM_DOCUMENTS, doc);
     }
 
     @SuppressWarnings("unchecked")
     public List<DocumentModel> getDocuments() {
-	return (List<DocumentModel>) get(CTX_PARAM_DOCUMENTS);
+        return (List<DocumentModel>) get(CTX_PARAM_DOCUMENTS);
     }
 
     @Override
     public boolean accept(RenderingEngine engine) {
-	if (engine.getFormatName().equals("alertHeader1")) return true;
-	else return false;
+        if (engine.getFormatName().equals("alertHeader1"))
+            return true;
+        else
+            return false;
     }
 }
\ No newline at end of file
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/rendering/HtmlHeader2RenderingContext.java
--- a/nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/rendering/HtmlHeader2RenderingContext.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/rendering/HtmlHeader2RenderingContext.java	Fri Mar 26 09:05:32 2010 +0100
@@ -14,26 +14,28 @@
 
     @Override
     public <T> T getAdapter(Class<T> adapter) {
-	if (adapter.isAssignableFrom(getClass())) {
-	    return adapter.cast(this);
-	} else if (adapter.isAssignableFrom(DocumentModel.class)) {
-	    return adapter.cast(getDocuments());
-	}
-	return null;
+        if (adapter.isAssignableFrom(getClass())) {
+            return adapter.cast(this);
+        } else if (adapter.isAssignableFrom(DocumentModel.class)) {
+            return adapter.cast(getDocuments());
+        }
+        return null;
     }
 
     public void setDocuments(List<DocumentModel> doc) {
-	put(CTX_PARAM_DOCUMENTS, doc);
+        put(CTX_PARAM_DOCUMENTS, doc);
     }
 
     @SuppressWarnings("unchecked")
     public List<DocumentModel> getDocuments() {
-	return (List<DocumentModel>) get(CTX_PARAM_DOCUMENTS);
+        return (List<DocumentModel>) get(CTX_PARAM_DOCUMENTS);
     }
 
     @Override
     public boolean accept(RenderingEngine engine) {
-	if (engine.getFormatName().equals("alertHeader2")) return true;
-	else return false;
+        if (engine.getFormatName().equals("alertHeader2"))
+            return true;
+        else
+            return false;
     }
 }
\ No newline at end of file
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/AlertProvider1.java
--- a/nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/AlertProvider1.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/AlertProvider1.java	Fri Mar 26 09:05:32 2010 +0100
@@ -18,52 +18,54 @@
 
 public class AlertProvider1 implements AlertProvider {
 
-	public static final String TEST_STRING = "This is the test string 1";
+    public static final String TEST_STRING = "This is the test string 1";
 
-	public Map<String, UserAlerts> getAllPendingAlerts(CoreSession coreSession) {
+    public Map<String, UserAlerts> getAllPendingAlerts(CoreSession coreSession) {
 
-		Map<String, UserAlerts> result = new HashMap<String, UserAlerts>();
+        Map<String, UserAlerts> result = new HashMap<String, UserAlerts>();
 
-		UserAlerts a = new UserAlerts("testuser");
-		a.getAlerts().add(new Alert("AlertProvider1", "testAlert1", TEST_STRING));
+        UserAlerts a = new UserAlerts("testuser");
+        a.getAlerts().add(
+                new Alert("AlertProvider1", "testAlert1", TEST_STRING));
 
-		result.put("testuser", a);
+        result.put("testuser", a);
 
-		return result;
-	}
+        return result;
+    }
 
-	public String renderAlerts(CoreSession coreSession, RenderingService rs, String userName, List<Alert> alerts,
-			DocumentModel userSettings, AlertContext ctxt) throws ClientException {
+    public String renderAlerts(CoreSession coreSession, RenderingService rs,
+            String userName, List<Alert> alerts, DocumentModel userSettings,
+            AlertContext ctxt) throws ClientException {
 
-		String result = "";
+        String result = "";
 
-		try {
-			RenderingContext1 ctx = new RenderingContext1();
-			ctx.put("template", "test1");
+        try {
+            RenderingContext1 ctx = new RenderingContext1();
+            ctx.put("template", "test1");
 
-			for (Alert a : alerts) {
-				if (a.getAlertProviderName().equals("AlertProvider1")) {
-					ctx.put("teststring", a.getAlertData().toString());
-					break;
-				}
-			}
+            for (Alert a : alerts) {
+                if (a.getAlertProviderName().equals("AlertProvider1")) {
+                    ctx.put("teststring", a.getAlertData().toString());
+                    break;
+                }
+            }
 
-			Collection<RenderingResult> render = rs.process(ctx);
-			if (render.size() > 0) {
-				result = (String) render.iterator().next().getOutcome();
-			}
+            Collection<RenderingResult> render = rs.process(ctx);
+            if (render.size() > 0) {
+                result = (String) render.iterator().next().getOutcome();
+            }
 
-		} catch (Exception e) {
-		}
+        } catch (Exception e) {
+        }
 
-		return result;
+        return result;
 
-	}
+    }
 
-	public List<String> getTemplateList() {
-		List<String> result = new ArrayList<String>();
-		result.add("test1");
-		return result;
-	}
+    public List<String> getTemplateList() {
+        List<String> result = new ArrayList<String>();
+        result.add("test1");
+        return result;
+    }
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/AlertProvider2.java
--- a/nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/AlertProvider2.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/AlertProvider2.java	Fri Mar 26 09:05:32 2010 +0100
@@ -18,52 +18,54 @@
 
 public class AlertProvider2 implements AlertProvider {
 
-	public static final String TEST_STRING = "This is the test string 2";
+    public static final String TEST_STRING = "This is the test string 2";
 
-	public Map<String, UserAlerts> getAllPendingAlerts(CoreSession coreSession) {
+    public Map<String, UserAlerts> getAllPendingAlerts(CoreSession coreSession) {
 
-		Map<String, UserAlerts> result = new HashMap<String, UserAlerts>();
+        Map<String, UserAlerts> result = new HashMap<String, UserAlerts>();
 
-		UserAlerts a = new UserAlerts("testuser");
-		a.getAlerts().add(new Alert("AlertProvider2", "testAlert2", TEST_STRING));
+        UserAlerts a = new UserAlerts("testuser");
+        a.getAlerts().add(
+                new Alert("AlertProvider2", "testAlert2", TEST_STRING));
 
-		result.put("testuser", a);
+        result.put("testuser", a);
 
-		return result;
-	}
+        return result;
+    }
 
-	public String renderAlerts(CoreSession coreSession, RenderingService rs, String userName, List<Alert> alerts,
-			DocumentModel userSettings, AlertContext ctxt) throws ClientException {
+    public String renderAlerts(CoreSession coreSession, RenderingService rs,
+            String userName, List<Alert> alerts, DocumentModel userSettings,
+            AlertContext ctxt) throws ClientException {
 
-		String result = "";
+        String result = "";
 
-		try {
-			RenderingContext2 ctx = new RenderingContext2();
-			ctx.put("template", "test2");
+        try {
+            RenderingContext2 ctx = new RenderingContext2();
+            ctx.put("template", "test2");
 
-			for (Alert a : alerts) {
-				if (a.getAlertProviderName().equals("AlertProvider2")) {
-					ctx.put("teststring", a.getAlertData().toString());
-					break;
-				}
-			}
+            for (Alert a : alerts) {
+                if (a.getAlertProviderName().equals("AlertProvider2")) {
+                    ctx.put("teststring", a.getAlertData().toString());
+                    break;
+                }
+            }
 
-			Collection<RenderingResult> render = rs.process(ctx);
-			if (render.size() > 0) {
-				result = (String) render.iterator().next().getOutcome();
-			}
+            Collection<RenderingResult> render = rs.process(ctx);
+            if (render.size() > 0) {
+                result = (String) render.iterator().next().getOutcome();
+            }
 
-		} catch (Exception e) {
-		}
+        } catch (Exception e) {
+        }
 
-		return result;
+        return result;
 
-	}
+    }
 
-	public List<String> getTemplateList() {
-		List<String> result = new ArrayList<String>();
-		result.add("test2");
-		return result;
-	}
+    public List<String> getTemplateList() {
+        List<String> result = new ArrayList<String>();
+        result.add("test2");
+        return result;
+    }
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/FakeUserManagerImpl.java
--- a/nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/FakeUserManagerImpl.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/FakeUserManagerImpl.java	Fri Mar 26 09:05:32 2010 +0100
@@ -42,13 +42,13 @@
 
 /**
  * @author Florent Guillaume
- *
+ * 
  */
 public class FakeUserManagerImpl implements UserManager {
-	
-	private static final long serialVersionUID = 1L;
 
-	String userListingMode;
+    private static final long serialVersionUID = 1L;
+
+    String userListingMode;
 
     String groupListingMode;
 
@@ -216,18 +216,21 @@
 
     public NuxeoPrincipal getPrincipal(String username) throws ClientException {
 
-    	if (!virtualUsers.containsKey(username)) {
-    		return null;
-    	}
-    	
-    	VirtualUserDescriptor desc = virtualUsers.get(username);
-    	Map<String, Serializable> props = desc.getProperties();
-    	
-    	NuxeoPrincipalImpl principal = new NuxeoPrincipalImpl(username);
-    	if (props.containsKey("email")) principal.setEmail((String)props.get("email"));
-    	if (props.containsKey("first")) principal.setFirstName((String)props.get("first"));
-    	if (props.containsKey("last")) principal.setLastName((String)props.get("last"));
-    	
+        if (!virtualUsers.containsKey(username)) {
+            return null;
+        }
+
+        VirtualUserDescriptor desc = virtualUsers.get(username);
+        Map<String, Serializable> props = desc.getProperties();
+
+        NuxeoPrincipalImpl principal = new NuxeoPrincipalImpl(username);
+        if (props.containsKey("email"))
+            principal.setEmail((String) props.get("email"));
+        if (props.containsKey("first"))
+            principal.setFirstName((String) props.get("first"));
+        if (props.containsKey("last"))
+            principal.setLastName((String) props.get("last"));
+
         return principal;
     }
 
@@ -275,7 +278,8 @@
     }
 
     public void setConfiguration(UserManagerDescriptor descriptor) {
-    	WrappedUserManagerDescriptor desc = new WrappedUserManagerDescriptor(descriptor);
+        WrappedUserManagerDescriptor desc = new WrappedUserManagerDescriptor(
+                descriptor);
         setDefaultGroup(desc.getDefaultGroup());
         setRootLogin(desc.getRootLogin());
         setUserSortField(desc.getUserSortField());
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/RenderingContext1.java
--- a/nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/RenderingContext1.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/RenderingContext1.java	Fri Mar 26 09:05:32 2010 +0100
@@ -14,26 +14,28 @@
 
     @Override
     public <T> T getAdapter(Class<T> adapter) {
-	if (adapter.isAssignableFrom(getClass())) {
-	    return adapter.cast(this);
-	} else if (adapter.isAssignableFrom(DocumentModel.class)) {
-	    return adapter.cast(getDocuments());
-	}
-	return null;
+        if (adapter.isAssignableFrom(getClass())) {
+            return adapter.cast(this);
+        } else if (adapter.isAssignableFrom(DocumentModel.class)) {
+            return adapter.cast(getDocuments());
+        }
+        return null;
     }
 
     public void setDocuments(List<DocumentModel> doc) {
-	put(CTX_PARAM_DOCUMENTS, doc);
+        put(CTX_PARAM_DOCUMENTS, doc);
     }
 
     @SuppressWarnings("unchecked")
     public List<DocumentModel> getDocuments() {
-	return (List<DocumentModel>) get(CTX_PARAM_DOCUMENTS);
+        return (List<DocumentModel>) get(CTX_PARAM_DOCUMENTS);
     }
 
     @Override
     public boolean accept(RenderingEngine engine) {
-	if (engine.getFormatName().equals("test1")) return true;
-	else return false;
+        if (engine.getFormatName().equals("test1"))
+            return true;
+        else
+            return false;
     }
 }
\ No newline at end of file
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/RepositoryOSGITestCase.java
--- a/nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/RepositoryOSGITestCase.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/RepositoryOSGITestCase.java	Fri Mar 26 09:05:32 2010 +0100
@@ -18,6 +18,7 @@
  */
 
 package org.nuxeo.ecm.alert.core;
+
 import java.io.Serializable;
 import java.util.HashMap;
 import java.util.Map;
@@ -49,172 +50,175 @@
     public static final String REPOSITORY_NAME = "demo";
 
     public static final String DOMAIN_NAME = "demo-domain";
-    
+
     protected Repository repository;
 
     private CoreSession coreSession;
 
     protected DocumentModel rootWorkspace = null;
-    
+
     protected DocumentModel domain = null;
 
     protected RepositoryOSGITestCase() {
     }
 
     protected RepositoryOSGITestCase(String name) {
-	super(name);
+        super(name);
     }
 
     protected void undeployBundle(String name) throws BundleException {
-	osgi.getRegistry().getBundle(name).uninstall();
+        osgi.getRegistry().getBundle(name).uninstall();
     }
-    
-    
+
     @Override
     public void setUp() throws Exception {
-	super.setUp();
-	
-	deployBundle("org.nuxeo.ecm.core.schema");
-	deployBundle("org.nuxeo.ecm.core.api");
-	deployBundle("org.nuxeo.ecm.core.event");
-	deployBundle("org.nuxeo.ecm.core");
-	deployBundle("org.nuxeo.ecm.core.jcr");
-	deployBundle("org.nuxeo.ecm.platform.usermanager.api");
-	deployBundle("org.nuxeo.ecm.platform.usermanager");
-	
+        super.setUp();
+
+        deployBundle("org.nuxeo.ecm.core.schema");
+        deployBundle("org.nuxeo.ecm.core.api");
+        deployBundle("org.nuxeo.ecm.core.event");
+        deployBundle("org.nuxeo.ecm.core");
+        deployBundle("org.nuxeo.ecm.core.jcr");
+        deployBundle("org.nuxeo.ecm.platform.usermanager.api");
+        deployBundle("org.nuxeo.ecm.platform.usermanager");
+
     }
 
     @Override
     public void tearDown() throws Exception {
-	
-	Framework.getLocalService(EventService.class).waitForAsyncCompletion();
-	releaseCoreSession(coreSession);
-	coreSession = null;
-	releaseRepository();
 
-	undeployBundle("org.nuxeo.ecm.platform.usermanager");
-	undeployBundle("org.nuxeo.ecm.platform.usermanager.api");
-	undeployBundle("org.nuxeo.ecm.core.jcr");
-	undeployBundle("org.nuxeo.ecm.core");
-	undeployBundle("org.nuxeo.ecm.core.event");
-	undeployBundle("org.nuxeo.ecm.core.api");
-	undeployBundle("org.nuxeo.ecm.core.schema");
-	
-	super.tearDown();
+        Framework.getLocalService(EventService.class).waitForAsyncCompletion();
+        releaseCoreSession(coreSession);
+        coreSession = null;
+        releaseRepository();
+
+        undeployBundle("org.nuxeo.ecm.platform.usermanager");
+        undeployBundle("org.nuxeo.ecm.platform.usermanager.api");
+        undeployBundle("org.nuxeo.ecm.core.jcr");
+        undeployBundle("org.nuxeo.ecm.core");
+        undeployBundle("org.nuxeo.ecm.core.event");
+        undeployBundle("org.nuxeo.ecm.core.api");
+        undeployBundle("org.nuxeo.ecm.core.schema");
+
+        super.tearDown();
     }
 
     protected void initRepository() throws Exception {
-	
-	if (repository == null) {
-	    // the repository should be deployed the last
-	    // after any other bundle that is doctypes
-	    // this is nuxeo-core-jcr-connector-test
-	    repositoryDeploy();
-	    repository = NXCore.getRepositoryService().getRepositoryManager().getRepository(REPOSITORY_NAME);
-	    createRootWorkspace();
-	}
-	
+
+        if (repository == null) {
+            // the repository should be deployed the last
+            // after any other bundle that is doctypes
+            // this is nuxeo-core-jcr-connector-test
+            repositoryDeploy();
+            repository = NXCore.getRepositoryService().getRepositoryManager().getRepository(
+                    REPOSITORY_NAME);
+            createRootWorkspace();
+        }
+
     }
 
     protected void openRepositoryAsUser(String userName) throws Exception {
-	initRepository();
-	coreSession = openCoreSession(userName);
+        initRepository();
+        coreSession = openCoreSession(userName);
     }
 
     protected void closeRepository() throws Exception {
-	releaseCoreSession(coreSession);
-	coreSession = null;
-	releaseRepository();
-	repositoryUndeploy();
+        releaseCoreSession(coreSession);
+        coreSession = null;
+        releaseRepository();
+        repositoryUndeploy();
     }
-    
+
     protected void repositoryDeploy() throws Exception {
-	if (!isRepositoryBundleDeployed) {
-	    deployBundle("org.nuxeo.ecm.core.jcr-connector");
-	    isRepositoryBundleDeployed = true;
-	}
+        if (!isRepositoryBundleDeployed) {
+            deployBundle("org.nuxeo.ecm.core.jcr-connector");
+            isRepositoryBundleDeployed = true;
+        }
     }
 
     protected void repositoryUndeploy() throws Exception {
-	if (isRepositoryBundleDeployed) {
-	    undeployBundle("org.nuxeo.ecm.core.jcr-connector");
-	    isRepositoryBundleDeployed = false;
-	}
+        if (isRepositoryBundleDeployed) {
+            undeployBundle("org.nuxeo.ecm.core.jcr-connector");
+            isRepositoryBundleDeployed = false;
+        }
     }
 
-
     public void openRepository() throws Exception {
-	openRepositoryAsUser("Administrator");
+        openRepositoryAsUser("Administrator");
     }
 
     public void openRepositoryWithSystemPrivileges() throws Exception {
-	openRepositoryAsUser(null);
+        openRepositoryAsUser(null);
     }
 
     public CoreSession getCoreSession() {
-	return coreSession;
+        return coreSession;
     }
 
     protected Repository getRepository() {
-	return repository;
+        return repository;
     }
 
     private void createRootWorkspace() throws ClientException {
 
-	CoreSession adminSession = openCoreSession("Administrator");
-	assertNotNull(adminSession);
-	domain = adminSession.createDocumentModel("/", RepositoryOSGITestCase.DOMAIN_NAME, "Domain");
-	domain = adminSession.createDocument(domain);
-	assertNotNull(domain);
-	domain = adminSession.saveDocument(domain);
-	rootWorkspace = adminSession.createDocumentModel(domain.getPathAsString(), RepositoryOSGITestCase.ROOT_WORKSPACE_NAME, "Workspace");
-	assertNotNull(rootWorkspace);
-	rootWorkspace = adminSession.createDocument(rootWorkspace);
-	rootWorkspace = adminSession.saveDocument(rootWorkspace);
-	adminSession.save();
-	CoreInstance.getInstance().close(adminSession);
-	
+        CoreSession adminSession = openCoreSession("Administrator");
+        assertNotNull(adminSession);
+        domain = adminSession.createDocumentModel("/",
+                RepositoryOSGITestCase.DOMAIN_NAME, "Domain");
+        domain = adminSession.createDocument(domain);
+        assertNotNull(domain);
+        domain = adminSession.saveDocument(domain);
+        rootWorkspace = adminSession.createDocumentModel(
+                domain.getPathAsString(),
+                RepositoryOSGITestCase.ROOT_WORKSPACE_NAME, "Workspace");
+        assertNotNull(rootWorkspace);
+        rootWorkspace = adminSession.createDocument(rootWorkspace);
+        rootWorkspace = adminSession.saveDocument(rootWorkspace);
+        adminSession.save();
+        CoreInstance.getInstance().close(adminSession);
+
     }
 
-    protected CoreSession openCoreSession(String userName) throws ClientException {
+    protected CoreSession openCoreSession(String userName)
+            throws ClientException {
 
-	CoreSession result = null;
-	Map<String, Serializable> ctx = new HashMap<String, Serializable>();
-	ctx.put("username", userName);
-	result = CoreInstance.getInstance().open(REPOSITORY_NAME, ctx);
-	assertNotNull(result);
-	return result;
-	
+        CoreSession result = null;
+        Map<String, Serializable> ctx = new HashMap<String, Serializable>();
+        ctx.put("username", userName);
+        result = CoreInstance.getInstance().open(REPOSITORY_NAME, ctx);
+        assertNotNull(result);
+        return result;
+
     }
 
     public void changeUser(String newUser) throws ClientException {
-	releaseCoreSession(coreSession);
-	coreSession = openCoreSession(newUser);
+        releaseCoreSession(coreSession);
+        coreSession = openCoreSession(newUser);
     }
 
     public void releaseRepository() {
-	if (repository != null) {
-	    repository.shutdown();
-	    repository = null;
-	}
+        if (repository != null) {
+            repository.shutdown();
+            repository = null;
+        }
     }
 
     public void releaseCoreSession(CoreSession session) {
-	if (session != null) {
-	    CoreInstance.getInstance().close(session);
-	}
+        if (session != null) {
+            CoreInstance.getInstance().close(session);
+        }
     }
 
     protected Session getSession() throws DocumentException {
-	return repository.getSession(null);
+        return repository.getSession(null);
     }
 
     protected EventServiceImpl eventService;
 
     protected void waitForEventsDispatched() {
-	if (eventService == null) {
-	    eventService = (EventServiceImpl) Framework.getLocalService(EventService.class);
-	}
-	eventService.waitForAsyncCompletion();
+        if (eventService == null) {
+            eventService = (EventServiceImpl) Framework.getLocalService(EventService.class);
+        }
+        eventService.waitForAsyncCompletion();
     }
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/TestAlertCore.java
--- a/nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/TestAlertCore.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-core/src/test/java/org/nuxeo/ecm/alert/core/TestAlertCore.java	Fri Mar 26 09:05:32 2010 +0100
@@ -37,119 +37,120 @@
 
 public class TestAlertCore extends RepositoryOSGITestCase {
 
-	private AlertManagementService service;
+    private AlertManagementService service;
 
-	private EmailHelperMock mock = new EmailHelperMock();
+    private EmailHelperMock mock = new EmailHelperMock();
 
-	@Override
-	public void setUp() throws Exception {
+    @Override
+    public void setUp() throws Exception {
 
-		super.setUp();
+        super.setUp();
 
-		// Bundle to be tested
-		deployBundle("org.nuxeo.ecm.usersettings.types");
-		deployBundle("org.nuxeo.ecm.usersettings.api");
-		deployBundle("org.nuxeo.ecm.usersettings.core");
-		deployBundle("org.nuxeo.ecm.platform.userworkspace.types");
-		deployBundle("org.nuxeo.ecm.platform.userworkspace.api");
-		deployBundle("org.nuxeo.ecm.platform.userworkspace.core");
+        // Bundle to be tested
+        deployBundle("org.nuxeo.ecm.usersettings.types");
+        deployBundle("org.nuxeo.ecm.usersettings.api");
+        deployBundle("org.nuxeo.ecm.usersettings.core");
+        deployBundle("org.nuxeo.ecm.platform.userworkspace.types");
+        deployBundle("org.nuxeo.ecm.platform.userworkspace.api");
+        deployBundle("org.nuxeo.ecm.platform.userworkspace.core");
 
-		deployBundle("org.nuxeo.ecm.usersettings.alert.types");
-		deployBundle("org.nuxeo.ecm.usersettings.alert.core");
+        deployBundle("org.nuxeo.ecm.usersettings.alert.types");
+        deployBundle("org.nuxeo.ecm.usersettings.alert.core");
 
-		deployBundle("org.nuxeo.ecm.directory.types.contrib");
-		deployBundle("org.nuxeo.ecm.platform.notification.api");
-		deployBundle("org.nuxeo.ecm.platform.notification.core");
+        deployBundle("org.nuxeo.ecm.directory.types.contrib");
+        deployBundle("org.nuxeo.ecm.platform.notification.api");
+        deployBundle("org.nuxeo.ecm.platform.notification.core");
 
-		deployBundle("org.nuxeo.theme.core");
-		deployBundle("org.nuxeo.theme.html");
+        deployBundle("org.nuxeo.theme.core");
+        deployBundle("org.nuxeo.theme.html");
 
-		deployBundle("org.nuxeo.ecm.platform.url.api");
-		deployBundle("org.nuxeo.ecm.platform.url.core");
+        deployBundle("org.nuxeo.ecm.platform.url.api");
+        deployBundle("org.nuxeo.ecm.platform.url.core");
 
-		deployBundle("org.nuxeo.ecm.alert.api");
-		deployBundle("org.nuxeo.ecm.alert.core");
+        deployBundle("org.nuxeo.ecm.alert.api");
+        deployBundle("org.nuxeo.ecm.alert.core");
 
-		service = Framework.getLocalService(AlertManagementService.class);
-		assertNotNull(service);
-		assertEquals(0, service.getAlertProviders().size());
+        service = Framework.getLocalService(AlertManagementService.class);
+        assertNotNull(service);
+        assertEquals(0, service.getAlertProviders().size());
 
-		deployBundle("org.nuxeo.ecm.alert.core.test");
-		assertEquals(2, service.getAlertProviders().size());
+        deployBundle("org.nuxeo.ecm.alert.core.test");
+        assertEquals(2, service.getAlertProviders().size());
 
-		service.setEmailHelper(mock);
+        service.setEmailHelper(mock);
 
-		// Initialize the test environment
-		openRepository();
+        // Initialize the test environment
+        openRepository();
 
-	}
+    }
 
-	@Override
-	public void tearDown() throws Exception {
+    @Override
+    public void tearDown() throws Exception {
 
-		try {
-			Framework.getLocalService(EventService.class).waitForAsyncCompletion();
-		} catch (Exception e) {
-		}
+        try {
+            Framework.getLocalService(EventService.class).waitForAsyncCompletion();
+        } catch (Exception e) {
+        }
 
-		closeRepository();
+        closeRepository();
 
-		undeployBundle("org.nuxeo.ecm.alert.core.test");
-		undeployBundle("org.nuxeo.ecm.alert.core");
-		undeployBundle("org.nuxeo.ecm.alert.api");
+        undeployBundle("org.nuxeo.ecm.alert.core.test");
+        undeployBundle("org.nuxeo.ecm.alert.core");
+        undeployBundle("org.nuxeo.ecm.alert.api");
 
-		undeployBundle("org.nuxeo.ecm.platform.url.core");
-		undeployBundle("org.nuxeo.ecm.platform.url.api");
+        undeployBundle("org.nuxeo.ecm.platform.url.core");
+        undeployBundle("org.nuxeo.ecm.platform.url.api");
 
-		undeployBundle("org.nuxeo.theme.html");
-		undeployBundle("org.nuxeo.theme.core");
+        undeployBundle("org.nuxeo.theme.html");
+        undeployBundle("org.nuxeo.theme.core");
 
-		undeployBundle("org.nuxeo.ecm.platform.notification.core");
-		undeployBundle("org.nuxeo.ecm.platform.notification.api");
-		undeployBundle("org.nuxeo.ecm.directory.types.contrib");
+        undeployBundle("org.nuxeo.ecm.platform.notification.core");
+        undeployBundle("org.nuxeo.ecm.platform.notification.api");
+        undeployBundle("org.nuxeo.ecm.directory.types.contrib");
 
-		undeployBundle("org.nuxeo.ecm.usersettings.alert.core");
-		undeployBundle("org.nuxeo.ecm.usersettings.alert.types");
+        undeployBundle("org.nuxeo.ecm.usersettings.alert.core");
+        undeployBundle("org.nuxeo.ecm.usersettings.alert.types");
 
-		undeployBundle("org.nuxeo.ecm.platform.userworkspace.core");
-		undeployBundle("org.nuxeo.ecm.platform.userworkspace.api");
-		undeployBundle("org.nuxeo.ecm.platform.userworkspace.types");
+        undeployBundle("org.nuxeo.ecm.platform.userworkspace.core");
+        undeployBundle("org.nuxeo.ecm.platform.userworkspace.api");
+        undeployBundle("org.nuxeo.ecm.platform.userworkspace.types");
 
-		undeployBundle("org.nuxeo.ecm.usersettings.core");
-		undeployBundle("org.nuxeo.ecm.usersettings.api");
-		undeployBundle("org.nuxeo.ecm.usersettings.types");
+        undeployBundle("org.nuxeo.ecm.usersettings.core");
+        undeployBundle("org.nuxeo.ecm.usersettings.api");
+        undeployBundle("org.nuxeo.ecm.usersettings.types");
 
-		super.tearDown();
+        super.tearDown();
 
-	}
+    }
 
-	public void testStartup() {
-	}
+    public void testStartup() {
+    }
 
-	public void test2Providers() throws ClientException {
-		
-		AlertContext ctx = new AlertContext();
-		ctx.setEventId(AlertEvent.MANUAL_ALERT_EVENT);
-		service.processAlerts(ctx);
-		assertEquals(mock.getLastTo(), "testuser@domain.com");
-		assertEquals(mock.getLastSubject(), AlertManagementImplConstants.MAIL_SUBJECT);
+    public void test2Providers() throws ClientException {
 
-	}
-	
-	public String getFileContents(InputStream filename) throws IOException {
-		
-		char[] buffer = new char[512];
-		StringBuilder builder = new StringBuilder();
-		InputStreamReader reader = new InputStreamReader(filename);
-		BufferedReader buffReader = new BufferedReader(reader);
-		try {
-			int len;
-			while (((len = buffReader.read(buffer, 0, buffer.length)) != -1)) {
-				builder.append(buffer, 0, len);
-			}
-		} finally {
-			buffReader.close();
-		}
-		return builder.toString();
-	}
+        AlertContext ctx = new AlertContext();
+        ctx.setEventId(AlertEvent.MANUAL_ALERT_EVENT);
+        service.processAlerts(ctx);
+        assertEquals(mock.getLastTo(), "testuser@domain.com");
+        assertEquals(mock.getLastSubject(),
+                AlertManagementImplConstants.MAIL_SUBJECT);
+
+    }
+
+    public String getFileContents(InputStream filename) throws IOException {
+
+        char[] buffer = new char[512];
+        StringBuilder builder = new StringBuilder();
+        InputStreamReader reader = new InputStreamReader(filename);
+        BufferedReader buffReader = new BufferedReader(reader);
+        try {
+            int len;
+            while (((len = buffReader.read(buffer, 0, buffer.length)) != -1)) {
+                builder.append(buffer, 0, len);
+            }
+        } finally {
+            buffReader.close();
+        }
+        return builder.toString();
+    }
 }
